Subject: bug#26671: serf package (guix dependency) tests fail

From: Leo Famulari <[email-masked]>
Date: Thu, 27 Apr 2017 10:58:17 -0400

On Thu, Apr 27, 2017 at 04:19:18PM +0200, Marius Bakke wrote:
> Apparently "patch" does not yet support binary diffs either:
> 
> patching file test/test_buckets.c
> Hunk #1 succeeded at 1232 (offset -91 lines).
> patching file test/server/serfcacert.pem
> File test/server/serfclientcert.p12: git binary diffs are not supported.

Perhaps we should avoid using binary patches in Guix, but I think you
could use a patch with a binary diff by passing '--binary' to
(patch-flags). I haven't tested it, however.